CONKEROR(1)

NAME
conkeror - a web browser modeled after Emacs

SYNOPSIS
conkeror [options] [url] ...

DESCRIPTION
This manual page documents briefly conkeror

conkeror is a web browser based on xulrunner, the Mozilla application framework that also powers Mozilla Firefox. It can be controlled completely with the keyboard. The key bindings are very similar to those from Emacs, so Emacs users should immediately feel at home.

OPTIONS
This program has the same options as all other xulrunner applications. A summary of more important options is included below. All options are listed by calling conkeror --help.

--display=DISPLAY
    X display to use

-h, --help
    Show summary of options.

-jsconsole
    Open the Error console.

-no-remote
    Open new instance, not a new window in running instance.

-P <profile>
    Start with profile <profile>

-ProfileManager
    Start with ProfileManager.

-safe-mode
    Disables extensions and themes for this session.

-UILocale <locale>
    Start with <locale> resources as UI Locale.

-v, --version
    Show version of program.

CONCEPTS
Similar to Emacs Conkeror works with windows and buffers instead of windows and tabs.

When changing buffers with C-x b or killing buffers with C-x k, you can cut down the list of buffers by typing a few characters which filters the list for buffers which match these characters and then choosing them from the matching list of buffers with cursor keys.

The same idea is present with bookmarks: Bookmarks are looked up by pressing g to go to a new page and then start typing parts of the bookmarks title or URL.

TIPS AND TRICKS
If you want to bookmark a page with b and the page has frames or inline frames (e.g. advertisements) you will be asked which frame to bookmark. If you want to bookmark the whole page with all frames, press 0.

If you want to copy the link of the current page, press c for copy link and then type 0 for the current page instead of a link on this page.

Instead of typing the link number when following or copying a link, you can also type a part of the linked text. If don't type a number and one links is already active (e.g. after going back one page in the history) that link will be selected.

KEYBINDINGS

When you start it up initially you see the help page with all information and a tutorial on how to use Conkeror. You always come back there by typing C-h i which means pressing and holding the Control key (on PCs this often is the Alt key) and then pressing "i". The tutorial can be reached by pressing C-h t.

This is a short list of the most important key bindings:

[[  Go to previous page (Backward) in site navigation (if present)

]]  Go to next page (Forward) in site navigation (if present)

b   Bookmark page

B   Go to previous page (Backward) in page history

c   Copy a link to clipboard

f   Follow a link

C-u f
    Follow a link and open it in a new window

F   Go to next page (Forward) in page history

g   Go to another URL

r   Reload page

M-n Change to next buffer

M-p Change to previous buffer

C-g Stop (loading a the page, incremental search, etc.)

C-r Incremental search backward

C-s Incremental search forward

C-w Cut

C-y Paste

C-x b
    Change buffer

C-x k
    Kill (close) buffer

C-x C-c
    Exit the program

C-x C-f
    Open an URL in a new buffer.

C-x C-v
    Open an URL in the current buffer by editing the current URL.

KNOWN BUGS
conkeror (respectively xulrunner) sometimes hangs at --help (and possibly other situations) if /dev/random does not provide enough entropy. conkeror doesn't give feedback if a spawned external process crashes or exits unsuccessfully.

FILES
The default location of Conkeror's user configuration file is $HOME/.conkerorrc. This can be changed by setting the preference conkeror.rcfile. The rc can be an ordinary file or a directory. If it is an ordinary file, Conkeror will evaluate that file as javascript. If it is a directory, Conkeror will evaluate all files in that directory that have the .js file extension. See http://conkeror.org/ConkerorRC for the details.

SEE ALSO
xulrunner-1.9(1), the Conkeror wiki at http://conkeror.org/

AUTHOR
Conkeror was written by Shawn Betts, John J. Foerch, Jeremy Maitin-Shepard and other. See /usr/share/doc/conkeror/CREDITS for a full list of contributors.

This manual page was written by Axel Beckert <abe@deuxchevaux.org>, for the Debian project (but may be used by others).